## ros-noetic-octomap-ros 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(octomap_ros)

find_package(catkin REQUIRED COMPONENTS octomap_msgs sensor_msgs tf)
find_package(OCTOMAP REQUIRED)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS octomap_msgs sensor_msgs tf
  DEPENDS OCTOMAP)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(${PROJECT_NAME} src/conversions.cpp)
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${OCTOMAP_LIBRARIES})
target_include_directories(${PROJECT_NAME}
  SYSTEM PUBLIC ${catkin_INCLUDE_DIRS} ${OCTOMAP_INCLUDE_DIRS}
  PUBLIC include)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/${PROJECT_NAME}/
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE)

=== debian/changelog ===
ros-noetic-octomap-ros (0.4.1-1focal) focal; urgency=high

  * Added archive destination for static libraries (#10 <https://github.com/OctoMap/octomap_ros/issues/10>)
  * Fix catkin_lint issues and cmake policy CMP0038 (#9 <https://github.com/OctoMap/octomap_ros/issues/9>)
  * Update maintainer emails
  * Contributors: Andrea Ponza, Armin Hornung, Sebastian Kasperski, Wolfgang Merkt

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 22 Apr 2020 23:00:00 -0000

ros-noetic-octomap-ros (0.4.0-1focal) focal; urgency=high

  * Dropped PCL support in favor of sensor_msgs::PointCloud2.

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Wed, 16 Apr 2014 23:00:00 -0000

ros-noetic-octomap-ros (0.3.1-1focal) focal; urgency=high

  * Fixing #3 <https://github.com/OctoMap/octomap_ros/issues/3> (explicit instantiation in conversions.cpp)

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Tue, 15 Apr 2014 23:00:00 -0000

ros-noetic-octomap-ros (0.3.0-1focal) focal; urgency=high

  * Removed deprecated OctomapROS class

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 02 May 2013 23:00:00 -0000

ros-noetic-octomap-ros (0.2.6-1focal) focal; urgency=high

  * fixes for cmake / catkin

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sat, 05 Jan 2013 00:00:00 -0000

ros-noetic-octomap-ros (0.2.5-1focal) focal; urgency=high

  * catkin fixes

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sat, 08 Dec 2012 00:00:00 -0000

ros-noetic-octomap-ros (0.2.4-1focal) focal; urgency=high

  * adding include installs
  * catkin fixes
  * fixing octomap_msgs dependency

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sun, 11 Nov 2012 00:00:00 -0000

ros-noetic-octomap-ros (0.2.3-1focal) focal; urgency=high

  * catkinizing octomap_ros

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 29 Oct 2012 00:00:00 -0000

ros-noetic-octomap-ros (0.2.2-1focal) focal; urgency=high

  * catkinizing octomap_ros

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Sun, 30 Sep 2012 23:00:00 -0000

ros-noetic-octomap-ros (0.2.1-1focal) focal; urgency=high



 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Mon, 03 Sep 2012 23:00:00 -0000

ros-noetic-octomap-ros (0.2.0-1focal) focal; urgency=high

  * Further renaming, improved compat. with groovy (server won't compile yet though)
  * Updated octomap_ros to new-style stack.xml
  * manifest / doxygen for octomap_ros & octomap_msgs
  * deprecated OctomapROS in octomap_ros => directly use octomap lib and conversions.h

 -- Wolfgang Merkt <opensource@wolfgangmerkt.com>  Thu, 23 Aug 2012 23:00:00 -0000

=== debian/control ===
Source: ros-noetic-octomap-ros
Section: misc
Priority: optional
Maintainer: Wolfgang Merkt <opensource@wolfgangmerkt.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-octomap, ros-noetic-octomap-msgs, ros-noetic-sensor-msgs, ros-noetic-tf
Homepage: http://ros.org/wiki/octomap_ros
Standards-Version: 3.9.2

Package: ros-noetic-octomap-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-octomap, ros-noetic-octomap-msgs, ros-noetic-sensor-msgs, ros-noetic-tf
Description: octomap_ros provides conversion functions between ROS and OctoMap's native types.
 This enables a convenvient use of the octomap package in ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-octomap-ros//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
